set schema FN24_45803;

CREATE VIEW UserInfo AS
    SELECT USER.EMAIL, USER.FNAME || ' ' || USER.LNAME AS NAME, L.NAME AS FILENAME
    FROM USER JOIN FN24_45803.LOGFILE L on USER.ID = L.USERID;

--TEST
SELECT * FROM UserInfo;

--Provides an overview of user activity, including last login
CREATE VIEW UserActivityOverview AS
SELECT
    EMAIL,
    MAX(h.TIMESTAMP) AS LastLogin
FROM FN24_45803.USER u
JOIN FN24_45803.LOGHISTORY h ON u.ID = h.USERID
GROUP BY u.EMAIL;

--TEST
SELECT * FROM UserActivityOverview;

